/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.foreachmethodexample;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @author omozegieaziegbe
 */
public class ForEachMethodExample {

    public static void main(String[] args) {
        
        // Create a list of maps
        List<Map<String, String>> listOfMaps = new ArrayList<>();

        // Populate the list with maps
        Map<String, String> map1 = new HashMap<>();
        map1.put("Name", "Alice");
        map1.put("City", "Wonderland");
        listOfMaps.add(map1);

        Map<String, String> map2 = new HashMap<>();
        map2.put("Name", "Bob");
        map2.put("City", "Builderland");
        listOfMaps.add(map2);

        Map<String, String> map3 = new HashMap<>();
        map3.put("Name", "Tom");
        map3.put("City", "Netherland");
        listOfMaps.add(map3);
        
        // Iterate through the list of maps using forEach method
        listOfMaps.forEach(map -> {
            map.forEach((key, value) -> {
                System.out.println(key + ": " + value);
            });
            System.out.println();
        });
    }
}
